export async function UserCheck(){

    const response = await fetch('http://localhost:8000/api/users/me', {
      method: 'GET',
      credentials:'include'

    })
  
    if(!response.ok){
      window.location.href = '/login'
      return(response.status)
    }

    else{
       const data = await response.json();
       return data
    }
  }

export async function handleLogout() {
    try{
        const response = await fetch('http://localhost:8000/api/users/logout',
        {
            method:'POST',
            credentials:'include'
        })
        if (response.ok) 
        {
            console.log("ты вышел, лох");
            window.location.href = '/login'
        } else
       {
        console.error('Не вышел, лошара');
      }
    } catch (error) 
    {
      console.error('Ошибка при выполнении выхода:', error.message);
    }
  }
  